com.independentsoft.exchange

## Class GroupAttendeeConflict

- java.lang.Object
- - com.independentsoft.exchange.AttendeeConflict
  - - com.independentsoft.exchange.GroupAttendeeConflict

-     public class GroupAttendeeConflict
      extends AttendeeConflict

  Represents the number of group members who do not have published free/busy data to compare to a suggested meeting time. This element represents members of a distribution list that is too large or members who have No Data status.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupAttendeeConflict()` Instantiates a new group attendee conflict.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfMembers()` Gets the number of users, resources, and rooms in a distribution list.
    `int` | `getNumberOfMembersAvailable()` Gets the number of distribution list members who are available for a suggested meeting time.
    `int` | `getNumberOfMembersWithConflict()` Gets the number of distribution list members who have a conflict with a suggested meeting time.
    `int` | `getNumberOfMembersWithNoData()` Gets the number of group members who do not have published free/busy data to compare to a suggested meeting time.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupAttendeeConflict

          public GroupAttendeeConflict()

      Instantiates a new group attendee conflict.

  - ### Method Detail

    - #### getNumberOfMembers

          public int getNumberOfMembers()

      Gets the number of users, resources, and rooms in a distribution list.
      Returns:
        the number of members

    - #### getNumberOfMembersAvailable

          public int getNumberOfMembersAvailable()

      Gets the number of distribution list members who are available for a suggested meeting time. This element represents members for whom the status is Free.
      Returns:
        the number of members available

    - #### getNumberOfMembersWithConflict

          public int getNumberOfMembersWithConflict()

      Gets the number of distribution list members who have a conflict with a suggested meeting time. This element represents members who have a Busy, OOF, or Tentative status.
      Returns:
        the number of members with conflict

    - #### getNumberOfMembersWithNoData

          public int getNumberOfMembersWithNoData()

      Gets the number of group members who do not have published free/busy data to compare to a suggested meeting time. This element represents members of a distribution list that is too large or members who have No Data status.
      Returns:
        the number of members with no data